/* MAC0499 - Trabalho de Formatura Supervisionado - Compresso de udio Digital
 * Marcio Masaki Tomiyoshi */

#define DEBUG 0

/* Tamanho do bloco e quantidade de estimadores AudioPaK */
#define FRAME_SIZE 1152
#define NUM_PREDICTOR 4

/* Constantes para o cabealho AudioPaK */
#define MAX_FRAME_SIZE_BITS 15
#define MAX_NUM_CHANNELS_BITS 4
#define MAX_BITS_PER_SAMPLE_BITS 5
#define INCOMPLETE_FRAME_BITS 1
#define PREDICTOR_BITS 2
#define PARAMETER_M_BITS 5
#define ZERO_FILLED_BITS 1

/* Cabealho WAVE */
#ifndef _STRUCT_WAVEHEADER
#define _STRUCT_WAVEHEADER
typedef struct WAVEHeader
{
	char riff[4];
	unsigned int chunkSize;
	char wave[4];
	char fmt[4];
	unsigned int subchunk1Size;
	unsigned short int audioFormat;
	unsigned short int numChannels;
	unsigned int sampleRate;
	unsigned int byteRate;
	unsigned short int blockAlign;
	unsigned short int bitsPerSample;
	char data[4];
	unsigned int subchunk2Size;
} WaveHeader;
#endif

#include <math.h>
