/* MAC0499 - Trabalho de Formatura Supervisionado - Compresso de udio Digital
 * Marcio Masaki Tomiyoshi */

#include <stdio.h>

#include "common.h"
#include "error.h"
#include "wave.h"

FILE* openFile(char *filename, char *mode);
WaveHeader openWave(FILE **input, char *filename);
void writeBytes(FILE *output, char *str, int nBytes);
void readBytes(FILE *input, char *output, int nBytes);
unsigned int readLittleEndianBytes(FILE *input, int nBytes);
void writeLittleEndianBytes(FILE *output, int valor, int nBytes);
int writeBit(FILE *output, int bit);
int flushBit(FILE *output);
int readBit(FILE *input);
void writeInteger(FILE *output, int value, int nBits);
int readInteger(FILE *input, int nBits);
int twoComplementToInt(int value, int nBytes);
int intToTwoComplement(int value, int nBytes);
